var __abCancelled;
var __abWarn;

// Checks if a filter is already a regular expression. if warn is true,
// the user is warned.
function rpxpIsRegExp(filter, warn) {	
	if (filter.charAt(0) == "/" &&
		filter.charAt( filter.length - 1) == "/") {
		return true;	
	} else {
		return false;
	}
}

// Warns the user that he has entered a regular expression. 
// Returns true if the user is ok with this. false if he wants to change the filter.
function rpxpWarnRegExp() {
	var prefObj;
	var Branch;
	
	try {
		prefObj = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService);
		Branch = prefObj.getBranch("rpxp.");
		var warn = Branch.getBoolPref("warnregexp");
	} catch(exception) { }	
	
	if (warn == undefined || warn == true) {
		window.openDialog("chrome://rpxp/content/warnregexpdialog.xul","Warn regular expression",
						  "chrome,modal,centerscreen", rpxpWarnResult);		
		if (__abWarn) {
			prefObj = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService);
			Branch = prefObj.getBranch("rpxp.");
			Branch.setBoolPref("warnregexp", false);
		}
		
		if (__abCancelled) 
			return false; // The filter is not ok.
	}
	return true; // The filter is ok.
}

function rpxpWarnResult(cancelled, warnagain) {
	__abCancelled = cancelled;
	__abWarn = warnagain;
}
